#include "FiveWin.ch"

//--------------------------------------------------------------------------------------------//
// Functions Code Ascii Table                                                                 //
//                                                                                           //
// ascii supported  1234567890!"#$%&()* +,-./'ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`               //
//                  abcdefghijklmnopqrstuvwxyz{|}~:;<=>?@                    //
//-------------------------------------------------------------------------------------------//

// to create a new function compile the  editor led application


//Space
Function CodeAScii32()
local aCodearray:={}
Return aCodearray:={ "-----", "-----", "-----", "-----", "-----", "-----", "-----", "-----" }

Function CodeAScii33() // !
local aCodearray:={}
Return aCodearray:= { "--*--", "--*--", "--*--", "--*--", "--*--", "-----", "--*--", "-----" }

Function CodeAScii34() // "
local aCodearray:={}
Return aCodearray:= { "**-**", "**-**", "-*--*", "*--*-", "-----", "-----", "-----", "-----" }

Function CodeAScii35() // #
local aCodearray:={}
Return aCodearray:= { "-----", "-*-*-", "*****", "-*-*-", "-*-*-", "*****", "-*-*-", "-----" }

Function CodeAScii36() // $
local aCodearray:={}
Return aCodearray:= { "--*-", "-****", "*-*--", "-***-", "--*-*", "****-", "--*--", "-----" }

Function CodeAScii37() // %
local aCodearray:={}
Return aCodearray:= { "**---", "**--*", "---*-", "--*--", "-*---", "*--**", "---**", "-----" }

Function CodeAScii38() // &
local aCodearray:={}
Return aCodearray:= { "-*---", "*-*--", "*-*--", "-*---", "*-*-*", "*--*-", "-**-*", "-----" }

Function CodeAScii39() // '
local aCodearray:={}
Return aCodearray:= { "--**-", "--**-", "---*-", "--*--", "-----", "-----", "-----", "-----" }

Function CodeAScii40() // (
local aCodearray:={}
Return aCodearray:= { "---*-", "--*--", "-*---", "-*---", "-*---", "--*--", "---*-", "-----" }

Function CodeAScii41() // )
local aCodearray:={}
Return aCodearray:= { "-*---", "--*--", "---*-", "---*-", "---*-", "--*--", "-*---", "-----" }


//Symbols
Function CodeAScii42() // *
local aCodearray:={}
Return aCodearray:={ "--*--", "*-*-*", "-***-", "--*--", "-***-", "*-*-*", "--*--", "-----" }

Function CodeAScii43() // +      plus
local aCodearray:={}
Return aCodearray:={ "-----", "--*--", "--*--", "*****", "--*--", "--*--", "-----", "-----" }

Function CodeAScii44() // ,
local aCodearray:={}
Return aCodearray:= { "-----", "-----", "-----", "-----", "--**-", "--**-", "---*-", "--*--" }

Function CodeAScii45() //  -     minus
local aCodearray:={}
Return aCodearray:={ "-----", "-----", "-----", "*****", "-----", "-----", "-----", "-----" }

Function CodeAScii46() //  .
local aCodearray:={}
Return aCodearray:={ "-----", "-----", "-----", "-----", "--**-", "--**-", "-----", "-----" }

Function CodeAScii47() //  / ...   divide
local aCodearray:={}
Return aCodearray:={ "-----", "----*", "---*-", "--*--", "-*---", "*----", "-----", "-----" }


// Numbers
Function CodeAScii48()  // 0
local aCodearray:={}
Return aCodearray:={ "-***-", "*---*", "*--**", "*-*-*", "**--*", "*---*", "-***-", "-----" }

Function CodeAScii49()  // 1
local aCodearray:={}
Return aCodearray:={ "--*--", "-**--", "--*--", "--*--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii50() // 2
local aCodearray:={}
Return aCodearray:={ "-***-", "*---*", "----*", "---*-", "--*--", "-*---", "*****", "-----" }

Function CodeAScii51()  // 3
local aCodearray:={}
Return aCodearray:={ "-***-", "*---*", "----*", "--**-", "----*", "*---*", "-***-", "-----" }

Function CodeAScii52()  // 4
local aCodearray:={}
Return aCodearray:={ "---*-", "--**-", "-*-*-", "*--*-", "*****", "---*-", "---*-", "-----" }

Function CodeAScii53()  //5
local aCodearray:={}
Return aCodearray:={ "*****", "*----", "****-", "----*", "----*", "*---*", "-***-", "-----" }

Function CodeAScii54()  // 6
local aCodearray:={}
Return aCodearray:={ "-***-", "*----", "*----", "****-", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii55()  // 7
local aCodearray:={}
Return aCodearray:={ "*****", "----*", "---*-", "--*--", "--*--", "--*--", "--*--", "-----" }

Function CodeAScii56() // 8
local aCodearray:={}
Return aCodearray:={ "-***-", "*---*", "*---*", "-***-", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii57() // 9
local aCodearray:={}
Return aCodearray:={ "-***-", "*---*", "*---*", "-****", "----*", "*---*", "-***-", "-----" }


// SYMBOLS
Function CodeAScii58() // :
local aCodearray:={}
Return aCodearray := { "-----", "--**-", "--**-", "-----", "--**-", "--**-", "-----", "-----" }

Function CodeAScii59() // ;
local aCodearray:={}
Return aCodearray := { "-----", "--**-", "--**-", "-----", "--**-", "--**-", "---*-", "--*--" }

Function CodeAScii60() // <
local aCodearray:={}
Return aCodearray := { "----*", "---*-", "--*--", "-*---", "--*--", "---*-", "----*", "-----" }

Function CodeAScii61() // =
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*****", "-----", "*****", "-----", "-----", "-----" }

Function CodeAScii62() // >
local aCodearray:={}
Return aCodearray := { "*----", "-*---", "--*--", "---*-", "--*--", "-*---", "*----", "-----" }

Function CodeAScii63() // ?
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "----*", "---*-", "--*--", "-----", "--*--", "-----" }

Function CodeAScii64() // @
local aCodearray:={}
Return aCodearray:= { "-***-", "*---*", "*-***", "*-*-*", "*-***", "*----", "-***-", "-----" }


// UpperCase...

Function CodeAScii65() // A
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*---*", "*****", "*---*", "*---*", "*---*", "-----" }

//fiorellino
/*
Function CodeAScii65()
local aCodearray:={}
Return aCodearray:={"-***-","**-**","-***-","--*--","---*-","---*-","---*-","--*--"}*/


Function CodeAScii66() // B
local aCodearray:={}
Return aCodearray := { "****-", "*---*", "*---*", "****-", "*---*", "*---*", "****-", "-----" }

Function CodeAScii67() // C
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*----", "*----", "*----", "*---*", "-***-", "-----" }

Function CodeAScii68() // D
local aCodearray:={}
Return aCodearray := { "****-", "*---*", "*---*", "*---*", "*---*", "*---*", "****-", "-----" }

Function CodeAScii69() // E
local aCodearray:={}
Return aCodearray := { "*****", "*----", "*----", "****-", "*----", "*----", "*****", "-----" }

Function CodeAScii70() // F
local aCodearray:={}
Return aCodearray := { "*****", "*----", "*----", "****-", "*----", "*----", "*----", "-----" }

Function CodeAScii71() // G
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*----", "*----", "*--**", "*---*", "-***-", "-----" }

Function CodeAScii72() // H
local aCodearray:={}
Return aCodearray := { "*---*", "*---*", "*---*", "*****", "*---*", "*---*", "*---*", "-----" }

Function CodeAScii73() // I
local aCodearray:={}
Return aCodearray := { "-***-", "--*--", "--*--", "--*--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii74() // J
local aCodearray:={}
Return aCodearray := { "----*", "----*", "----*", "----*", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii75() // K
local aCodearray:={}
Return aCodearray := { "*---*", "*--*-", "*-*--", "**---", "*-*--", "*--*-", "*---*", "-----" }

Function CodeAScii76() // L
local aCodearray:={}
Return aCodearray := { "*----", "*----", "*----", "*----", "*----", "*----", "*****", "-----" }

Function CodeAScii77() // M
local aCodearray:={}
Return aCodearray := { "*---*", "**-**", "*-*-*", "*---*", "*---*", "*---*", "*---*", "-----" }

Function CodeAScii78() // N
local aCodearray:={}
Return aCodearray := { "*---*", "**--*", "*-*-*", "*--**", "*---*", "*---*", "*---*", "-----" }

Function CodeAScii79() // O
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*---*", "*---*", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii80() // P
local aCodearray:={}
Return aCodearray := { "****-", "*---*", "*---*", "****-", "*----", "*----", "*----", "-----" }

Function CodeAScii81() // Q
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*---*", "*---*", "*-*-*", "*--*-", "-**-*", "-----" }

Function CodeAScii82() // R
local aCodearray:={}
Return aCodearray := { "****-", "*---*", "*---*", "****-", "*-*--", "*--*-", "*---*", "-----" }

Function CodeAScii83() // S
local aCodearray:={}
Return aCodearray := { "-***-", "*---*", "*----", "-***-", "----*", "*---*", "-***-", "-----" }

Function CodeAScii84() // T
local aCodearray:={}
Return aCodearray := { "*****", "--*--", "--*--", "--*--", "--*--", "--*--", "--*--", "-----" }

Function CodeAScii85() // U
local aCodearray:={}
Return aCodearray := { "*---*", "*---*", "*---*", "*---*", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii86() // V
local aCodearray:={}
Return aCodearray := { "*---*", "*---*", "*---*", "*---*", "*---*", "-*-*-", "--*--", "-----" }

Function CodeAScii87() // W
local aCodearray:={}
Return aCodearray := { "*---*", "*---*", "*---*", "*---*", "*---*", "*-*-*", "-*-*-", "-----" }

Function CodeAScii88() // X
local aCodearray:={}
Return aCodearray:= { "*---*", "*---*", "-*-*-", "--*--", "-*-*-", "*---*", "*---*", "-----" }

Function CodeAScii89() // Y
local aCodearray:={}
Return aCodearray := { "*---*", "*---*", "-*-*-", "-*-*-", "--*--", "--*--", "--*--", "-----" }

Function CodeAScii90() // Z
local aCodearray:={}
Return aCodearray := { "*****", "----*", "---*-", "--*--", "-*---", "*----", "*****", "-----" }


// other symbols

Function CodeAScii91() // [
local aCodearray:={}
Return aCodearray := { "-***-", "-*---", "-*---", "-*---", "-*---", "-*---", "-***-", "-----" }

Function CodeAScii92() // \
local aCodearray:={}
Return aCodearray := { "-----", "*----", "-*---", "--*--", "---*-", "----*", "-----", "-----" }

Function CodeAScii93() // ]
local aCodearray:={}
Return aCodearray := { "-***-", "---*-", "---*-", "---*-", "---*-", "---*-", "-***-", "-----" }

Function CodeAScii94() // ^
local aCodearray:={}
Return aCodearray := { "--*--", "-*-*-", "*---*", "-----", "-----", "-----", "-----", "-----" }

Function CodeAScii95() // _
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-----", "-----", "-----", "-----", "*****", "-----" }

Function CodeAScii96() // `
local aCodearray:={}
Return aCodearray := { "-**--", "-**--", "-*---", "--*--", "-----", "-----", "-----", "-----" }


// LowerCase...
Function CodeAScii97() // a
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-***-", "----*", "-****", "*---*", "-****", "-----" }

Function CodeAScii98() // b
local aCodearray:={}
Return aCodearray := { "*----", "*----", "****-", "*---*",  "*---*", "*---*", "****-", "-----" }

Function CodeAScii99() // c
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-***-", "*----", "*----", "*----", "-***-", "-----" }

Function CodeAScii100() // d
local aCodearray:={}
Return aCodearray := { "----*", "----*", "-****", "*---*", "*---*", "*---*", "-****", "-----" }

Function CodeAScii101() // e
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-***-", "*---*", "*****", "*----", "-***-", "-----" }

Function CodeAScii102() // f
local aCodearray:={}
Return aCodearray := { "-----", "--***", "-*---", "****-",  "-*---", "-*---", "-*---", "-----" }

Function CodeAScii103() // g
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-****", "*---*",  "*---*", "-****", "----*", "****-" }

Function CodeAScii104() // h
local aCodearray:={}
Return aCodearray:= { "*----", "*----", "* **-", "**--*",  "*---*", "*---*", "*---*", "-----" }

Function CodeAScii105() // i
local aCodearray:={}
Return aCodearray:= { "--*--", "-----", "-**--", "--*--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii106() // j
local aCodearray:={}
Return aCodearray := { "-----", "---*-", "-----", "--**-", "---*-", "---*-", "*--*-", "-**--" }

Function CodeAScii107() // k
local aCodearray:={}
Return aCodearray := { "*----", "*----", "*--*-", "*-*--", "**---", "*-*--", "*--*-", "-----" }

Function CodeAScii108() // l
local aCodearray:={}
Return aCodearray := { "-----", "-**--", "--*--", "--*--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii109() // m
local aCodearray:={}
Return aCodearray := { "-----", "-----", "**-*-", "*-*-*", "*-*-*", "*---*", "*---*", "-----" }

Function CodeAScii110() // n
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*-**-", "**--*", "*---*", "*---*", "*---*", "-----" }

Function CodeAScii111() // o
local aCodearray:={}
Return aCodearray:= { "-----", "-----", "-***-", "*---*", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii112() // p
local aCodearray:={}
Return aCodearray := { "-----", "-----", "****-", "*---*", "*---*", "****-", "*----", "*----" }

Function CodeAScii113() // q
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-****", "*---*", "*---*", "-****", "----*", "----*" }

Function CodeAScii114() // r
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*-**-", "**---", "*----", "*----", "*----", "-----" }

Function CodeAScii115() // s
local aCodearray:={}
Return aCodearray := { "-----", "-----", "-***-", "*----", "-***-", "----*", "****-", "-----" }

Function CodeAScii116() // t
local aCodearray:={}
Return aCodearray := { "--*--", "--*--", "*****", "--*--", "--*--", "--*--", "---**", "-----" }

Function CodeAScii117() // u
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*---*", "*---*", "*---*", "*--**", "-**-*", "-----" }

Function CodeAScii118() // v
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*---*", "*---*", "*---*", "-*-*-", "--*--", "-----" }

Function CodeAScii119() // w
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*---*", "*---*", "*-*-*", "*-*-*", "-*-*-", "-----" }

Function CodeAScii120() // x
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*---*", "-*-*-", "--*--", "-*-*-", "*---*", "-----" }

Function CodeAScii121() // y
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*---*", "*---*", "*---*", "-****", "----*", "-***-" }

Function CodeAScii122() // z
local aCodearray:={}
Return aCodearray := { "-----", "-----", "*****", "---*-", "--*--", "-*---", "*****", "-----" }


//others symbols

Function CodeAScii123 // {
local aCodearray:={}
Return aCodearray := { "--**-", "-*---", "-*---", "*----", "-*---", "-*---", "--**-", "-----" }

Function CodeAScii124 // |
local aCodearray:={}
Return aCodearray := { "--*--", "--*--", "--*--", "--*--", "--*--", "--*--", "--*--", "-----" }

Function CodeAScii125 // }
local aCodearray:={}
Return aCodearray := { "-**--", "---*-", "---*-", "----*", "---*-", "---*-", "-**--", "-----" }

Function CodeAScii126 // ~
local aCodearray:={}
Return aCodearray := { "-*---", "*-*-*", "---*-", "-----", "-----", "-----", "-----", "-----" }

Function CodeAScii128 // 
local aCodearray:={}
Return aCodearray := { "--***", "-*---", "****-", "-*---", "****-", "-*---", "--***", "-----" }

Function CodeAScii161 // 
local aCodearray:={}
Return aCodearray := { "--*--", "-----", "--*--", "--*--", "--*--", "--*--", "--*--", "-----" }

Function CodeAScii170 // 
local aCodearray:={}
Return aCodearray := { "-***-", "*--*-", "-****", "-----", "*****", "-----", "-----", "-----" }

Function CodeAScii186 // 
local aCodearray:={}
Return aCodearray := { "-**--", "*--*-", "-**--", "-----", "*****", "-----", "-----", "-----" }


Function CodeAScii224 // 
local aCodearray:={}
Return aCodearray := { "-*---", "--*--", "-***-", "----*", "-****", "*---*", "-****", "-----" }

Function CodeAScii225 // 
local aCodearray:={}
Return aCodearray := { "---*-", "--*--", "-***-", "----*", "-****", "*---*", "-****", "-----" }


Function CodeAScii232 // 
local aCodearray:={}
Return aCodearray := { "-*---", "--*--", "-***-", "*---*", "*****", "*----", "-***-", "-----" }

Function CodeAScii233 // 
local aCodearray:={}
Return aCodearray := { "---*-", "--*--", "-***-", "*---*", "*****", "*----", "-***-", "-----" }

Function CodeAScii236 // 
local aCodearray:={}
Return aCodearray := { "-*---", "--*--", "-----", "-**--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii237 // 
local aCodearray:={}
Return aCodearray := { "---*-", "--*--", "-----", "-**--", "--*--", "--*--", "-***-", "-----" }

Function CodeAScii242 // 
local aCodearray:={}
Return aCodearray := { "-*---", "--*--", "-----", "-***-", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii243 // 
local aCodearray:={}
Return aCodearray := { "---*-", "--*--", "-----", "-***-", "*---*", "*---*", "-***-", "-----" }

Function CodeAScii247() //    ... divide
local aCodearray:={}
Return aCodearray:= { "-----", "--*--", "-----", "*****", "-----", "--*--", "-----", "-----" }


Function CodeAScii249 // 
local aCodearray:={}
Return aCodearray := { "-*---", "--*--", "-----", "*---*", "*---*", "*--**", "-**-*", "-----" }

Function CodeAScii250 // 
local aCodearray:={}
Return aCodearray:= { "---*-", "--*--", "-----", "*---*", "*---*", "*--**", "-**-*", "-----" }




